# Skill Assessment Quiz

This application manages quizzes intended to be used as pre-interview skill assessments.

## Development

* Please use Guard when you are developing
    * `bundle exec guard`
* Honor RuboCop warnings
* Keep tests green
* Write tests around new development
* Always pull with rebase!
    * `git config --global pull.rebase true`
* Make sure to include any new development data needs in the fixture files
    * test/fixtures/...
* feature branches are nice, but never merge develop down to them. Instead rebase feature branches onto develop.

### Setup
* clone
* checkout develop
* bundle
* npm install
* bower install
* cp config/application.yml.sample config/application.yml
* edit and update proper values to application.yml
* rake db:setup
* rake db:migrate
* rake db:fixtures:load

## Docker

You can develop in this app with a native rails install, if you prefer. However, there is also a docker image setup if you do not want to install all the supporting gems and libraries.

To use the docker container, you need to install and launch docker, which can be found here:
https://www.docker.com/products/docker

Once the container is started, you can still edit files from your host project directory.

visit http://localhost:3000 like normal

There are some convenience scripts included to make starting the container and rails app easier.

#### `./start-docker.sh`
* Execute from terminal, on the host machine, in the project directory
- This will pull the image from dockerhub, if needed
- Create and start up container

#### Once in the container:
* `./start-dev.sh`
    * will spin up a dev session with tmux
* `./start-server.sh`
    - starts up just rails server for viewing application


## TODOs and notes

* Question attachment path: http://dev.perficientxd.com/skill_assets/
* clean code / [Confident Ruby](http://www.confidentruby.com/)
