class AdminController < ApplicationController
  layout 'admin'
  before_action :authorize_admin

  def dashboard
    @quizzes = Quiz.includes(:questions).all
    @users = User.order(:role, :name)
  end

  def current_admin
    user_args = { id: session[:user], role: 'admin' }
    @current_admin ||= User.find_by(user_args) if session[:user]
  end
  helper_method :current_admin

  private

    def authorize_admin
      redirect_to admin_login_path unless current_admin
    end
end
