class InputOptionsPresenceValidator < ActiveModel::EachValidator
  def validate_each(record, attribute, value)
    return true unless record.input_type =~ /radio|check/i
    return true if value.present? && value.count > 0

    record.errors[attribute] << (options[:message] ||
                                "You must provide answer options for the selected input type.")

    false
  end
end
