class CandidateQuiz
  attr_reader :candidate_id

  def initialize candidate
    @candidate_id = candidate.to_i
  end

  def fetch_question qid
    questions = raw_quiz(qid).each_with_object([]) { |row, quiz| quiz << CandidateQuizQuestion.new(row) }
    questions.first
  end

  def build_my_quiz
    raw_quiz.each_with_object([]) { |row, quiz| quiz << CandidateQuizQuestion.new(row) }
  end

  private

    def raw_quiz qid = nil
      question = qid.nil? ? "" : " and q.id = #{qid} "
      sql = "select c.id candidate_id, q.quiz_id, q.id question_id, a.id answer_id, q.sort
               , q.question, q.attachment, q.category, q.input_type, q.input_options, a.answer
               , ifnull(a.saved, false) saved, ifnull(a.submitted, false) submitted , a.updated_at
             from candidates c
               inner join questions q on q.quiz_id = c.quiz_id
               left join answers a on a.candidate_id = c.id AND a.question_id = q.id
             where q.active = true and c.id = #{candidate_id} #{question}
             order by q.sort;"
      ActiveRecord::Base.connection.exec_query(sql)
    end
end
