require_relative 'boot'

require 'rails/all'

# Require the gems listed in Gemfile, including any gems
# you've limited to :test, :development, or :production.
Bundler.require(*Rails.groups)

module SkillAssessmentApp
  class Application < Rails::Application
    # Settings in config/environments/* take precedence over those specified here.
    # Application configuration should go into files in config/initializers
    # -- all .rb files in that directory are automatically loaded.

    # bitters
    config.assets.paths << Rails.root.join('vendor', 'assets', 'base')

    # bourbon
    config.assets.paths << Rails.root.join('vendor', 'assets', 'bourbon')

    # bower
    config.assets.paths << Rails.root.join('vendor', 'assets', 'bower_components')

    config.action_mailer.delivery_method = :mailjet
    config.action_mailer.default_url_options = { host: ENV['full_app_url'] }

    config.generators do |g|
      g.assets false
      g.helper false
      g.routes false
    end
  end
end
