#!/bin/bash
if [ -d '/usr/app' ]; then
  if [ ! -f 'config/application.yml' ]; then
    echo ''
    echo -e "\E[1;31m###################################"
    echo "Missing application.yml"
    echo -e "\E[1;32m  cp config/application.yml.sample config/application.yml"
    tput sgr0
    echo "edit and update proper values"
    echo ''
  else
    if [ ! -f '~/.container-setup' ]; then
      bundle
      npm install
      bower install --allow-root
      rails db:setup
      rails db:migrate
      rails db:fixtures:load
      touch ~/.container-setup
    fi
    tmux new-session -d -s 'rails-dev' 'rails s -b 0.0.0.0'
    tmux split-window -p 15 -v
    tmux split-window -p 85 -v 'bundle exec guard'
    tmux attach -t rails-dev
  fi
else
  echo "Are you in docker container?"
fi
