require 'test_helper'

module Admin
  class ProfileControllerTest < ActionDispatch::IntegrationTest
    def setup
      post admin_auth_url, params: { auth:
          { email: 'alan.admin@mailinator.com', password: 'password' } }
    end

    test "should get view" do
      get admin_profile_url
      assert_response :success
    end

    test "should get edit" do
      get admin_edit_profile_url
      assert_response :success
    end

    test "should post update" do
      post admin_profile_url, params: { user: { name: 'bobby tables' } }
      assert_redirected_to admin_profile_url
      assert flash[:success]
    end

    test "should FAIL update" do
      post admin_profile_url, params: { user: { name: '' } }
      assert :success
      assert flash[:error]
    end
  end
end
