require 'test_helper'

class QuestionFlowTest < ActionDispatch::IntegrationTest
  def setup_auth candidate
    post validate_candidate_url, params: { test_id: candidate.test_hash }
  end

  test "should load the first question" do
    setup_auth candidates(:martha)

    get question_path
    assert_response :success
    assert_select '.question-text', questions(:fed1).question
  end

  test "should load the summary" do
    setup_auth candidates(:dawn)

    get summary_path
    assert_response :success
    assert_select '.prft-heading', 'Almost done!'
  end

  test "can load specific question from summary" do
    setup_auth candidates(:dawn)
    question = questions(:fed4)

    get question_path(question.id)
    assert_response :success
    assert_select '.question-text', question.question
    # TODO: add in capybara and test form post
    # assert_redirected summary_path
  end

  test 'juan should be on summary with 80% complete' do
    setup_auth candidates(:juan)

    get summary_path
    assert_response :success
    assert_select '.progress span', '80%'
  end
end
