require 'test_helper'

class RecruiterMailerTest < ActionMailer::TestCase
  test "candidate_created" do
    candidate = candidates :martha
    mail = RecruiterMailer.candidate_created candidate
    assert_match candidate.name, mail.subject
    assert_equal [candidate.recruiter.email], mail.to
    assert_equal [ENV["default_mail_from"]], mail.from
    assert_match candidate.test_hash, mail.body.encoded
  end

  test "candidate_submitted" do
    candidate = candidates :dawn
    mail = RecruiterMailer.candidate_submitted candidate
    assert_match candidate.name, mail.subject
    assert_equal [candidate.recruiter.email], mail.to
    assert_equal [ENV["default_mail_from"]], mail.from
    assert_match candidate.name, mail.body.encoded
  end
end
