ENV['RAILS_ENV'] ||= 'test'

# https://github.com/colszowka/simplecov
require 'simplecov'
SimpleCov.start 'rails' do
  add_group 'Models', %w(app/models app/validators)
  add_group 'Services & Workers', %w(app/workers app/services)
  add_group "Jobs", 'app/jobs'
end

require File.expand_path('../../config/environment', __FILE__)
require 'rails/test_help'
require "minitest/autorun"
require 'minitest/reporters'
Dir[Rails.root.join("test/test_helpers/**/*.rb")].each { |f| require f }

Minitest::Reporters.use! [Minitest::Reporters::DefaultReporter.new(color: true)]

class ActiveSupport::TestCase
  ActiveRecord::Migration.check_pending!

  # Setup all fixtures in test/fixtures/*.yml for all tests in alphabetical order.
  fixtures :all

  # Add more helper methods to be used by all tests here...
end
