require 'test_helper'

class AnswerFormatValidatorTest < ActiveSupport::TestCase
  test "text should PASS with string" do
    obj = AnswerValidatable.new('text')
    obj.answer = "this is a valid answer"

    assert obj.valid?
    assert obj.errors.messages.empty?
  end

  test "text should FAIL with nil" do
    obj = AnswerValidatable.new('text')
    obj.answer = nil

    refute obj.valid?
    assert_match(/enter.*answer/, obj.errors.messages[:answer][0])
  end

  test "text should FAIL with empry string" do
    obj = AnswerValidatable.new('text')
    obj.answer = "   "

    refute obj.valid?
    assert_match(/enter.*answer/, obj.errors.messages[:answer][0])
  end

  test "text should FAIL with more than 1000 charactures" do
    obj = AnswerValidatable.new('text')
    obj.answer = SecureRandom.urlsafe_base64(1001)

    refute obj.valid?
    assert_match(/char.*limit.*1000.$/, obj.errors.messages[:answer][0])
  end
end
